Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillContext

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillContext

    public class JRFillContext

extends java.lang.Object

Context class shared by all the fillers involved in a report (master and subfillers).

The context is created by the master filler and inherited by the subfillers.

Version:
  $Id: JRFillContext.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRBaseFiller`

Constructor Summary
`JRFillContext()` Constructs a fill context.

Method Summary
`boolean` | `cancelRunningQuery()` Cancels the running query.
`void` | `clearRunningQueryExecuter()` Clears the running query executer.
`void` | `ensureMasterPageAvailable()` Ensures that the master page is available when virtualization is used.
`JRPrintImage` | `getLoadedImage(java.lang.Object source)` Gets a cached image.
`JasperReport` | `getLoadedSubreport(java.lang.Object source)` Gets a cached subreport.
`JRTemplate` | `getLoadedTemplate(java.lang.Object source)` Gets a cached template.
`FormatFactory` | `getMasterFormatFactory()`
`java.util.Locale` | `getMasterLocale()`
`java.util.TimeZone` | `getMasterTimeZone()`
`JRPrintPage` | `getPrintPage()` Returns the current master print page.
`JRVirtualizationContext` | `getVirtualizationContext()` Returns the virtualization context.
`boolean` | `hasLoadedImage(java.lang.Object source)` Checks whether an image given by source has already been loaded and cached.
`boolean` | `hasLoadedSubreport(java.lang.Object source)` Checks whether a subreport given by source has already been loaded and cached.
`boolean` | `hasLoadedTemplate(java.lang.Object source)` Checks whether a template given by source has already been loaded and cached.
`boolean` | `isIgnorePagination()` Decides whether the filling should ignore pagination.
`boolean` | `isPerPageBoundElements()` Decides whether fillers should keep per page bound element maps.
`boolean` | `isUsingVirtualizer()` Decides whether virtualization is used by the filling process.
`void` | `registerLoadedImage(java.lang.Object source, JRPrintImage image)` Registers an image loaded from a source.
`void` | `registerLoadedSubreport(java.lang.Object source, JasperReport subreport)` Registers a subreport loaded from a source.
`void` | `registerLoadedTemplate(java.lang.Object source, JRTemplate template)` Registers a template loaded from a source.
`void` | `setIgnorePagination(boolean ignorePagination)` Sets the flag that decides whether pagination should be ignored during filling.
`void` | `setMasterFormatFactory(FormatFactory masterFormatFactory)`
`void` | `setMasterLocale(java.util.Locale masterLocale)`
`void` | `setMasterTimeZone(java.util.TimeZone masterTimeZone)`
`void` | `setPerPageBoundElements(boolean perPageBoundElements)` Sets the flag indicating whether fillers should keep per page bound element maps.
`void` | `setPrintPage(JRPrintPage page)` Sets the current master print page.
`void` | `setRunningQueryExecuter(JRQueryExecuter queryExecuter)` Sets the running query executer.
`void` | `setUsingVirtualizer(boolean usingVirtualizer)` Sets the flag indicating whether a virtualizer is used by the filling process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRFillContext

    public JRFillContext()

  Constructs a fill context.

Method Detail

### hasLoadedImage

    public boolean hasLoadedImage(java.lang.Object source)

  Checks whether an image given by source has already been loaded and cached.

  Parameters:
    `source` - the source of the image
  Returns:
    whether the image has been cached
  See Also:
    `getLoadedImage(Object)`, `registerLoadedImage(Object, JRPrintImage)`

### getLoadedImage

    public JRPrintImage getLoadedImage(java.lang.Object source)

  Gets a cached image.

  Parameters:
    `source` - the source of the image
  Returns:
    the cached image
  See Also:
    `registerLoadedImage(Object, JRPrintImage)`

### registerLoadedImage

    public void registerLoadedImage(java.lang.Object source,
                                    JRPrintImage image)

  Registers an image loaded from a source.

  The image is cached for further use.

  Parameters:
    `source` - the source that was used to load the image
    `image` - the loaded image
  See Also:
    `getLoadedImage(Object)`

### hasLoadedSubreport

    public boolean hasLoadedSubreport(java.lang.Object source)

  Checks whether a subreport given by source has already been loaded and cached.

  Parameters:
    `source` - the source of the subreport
  Returns:
    whether the subreport has been cached
  See Also:
    `getLoadedSubreport(Object)`, `registerLoadedSubreport(Object, JasperReport)`

### getLoadedSubreport

    public JasperReport getLoadedSubreport(java.lang.Object source)

  Gets a cached subreport.

  Parameters:
    `source` - the source of the subreport
  Returns:
    the cached subreport
  See Also:
    `registerLoadedSubreport(Object, JasperReport)`

### registerLoadedSubreport

    public void registerLoadedSubreport(java.lang.Object source,
                                        JasperReport subreport)

  Registers a subreport loaded from a source.

  The subreport is cached for further use.

  Parameters:
    `source` - the source that was used to load the subreport
    `subreport` - the loaded subreport
  See Also:
    `getLoadedSubreport(Object)`

### setUsingVirtualizer

    public void setUsingVirtualizer(boolean usingVirtualizer)

  Sets the flag indicating whether a virtualizer is used by the filling process.

  Parameters:
    `usingVirtualizer` - whether virtualization is used
  See Also:
    `isUsingVirtualizer()`

### isUsingVirtualizer

    public boolean isUsingVirtualizer()

  Decides whether virtualization is used by the filling process.

  Returns:
    `true` if and only if a virtualizer is used
  See Also:
    `setUsingVirtualizer(boolean)`, `JRParameter.REPORT_VIRTUALIZER`

### setPerPageBoundElements

    public void setPerPageBoundElements(boolean perPageBoundElements)

  Sets the flag indicating whether fillers should keep per page bound element maps.

  Parameters:
    `perPageBoundElements` - the value of the flag
  See Also:
    `isPerPageBoundElements()`

### isPerPageBoundElements

    public boolean isPerPageBoundElements()

  Decides whether fillers should keep per page bound element maps.

  Returns:
    `true` if and only if fillers should keep per page bound element maps
  See Also:
    `setPerPageBoundElements(boolean)`

### setPrintPage

    public void setPrintPage(JRPrintPage page)

  Sets the current master print page.

  Parameters:
    `page` - the master print page
  See Also:
    `getPrintPage()`

### getPrintPage

    public JRPrintPage getPrintPage()

  Returns the current master print page.

  Returns:
    the current master print page
  See Also:
    `setPrintPage(JRPrintPage)`

### setIgnorePagination

    public void setIgnorePagination(boolean ignorePagination)

  Sets the flag that decides whether pagination should be ignored during filling.

  Parameters:
    `ignorePagination` -
  See Also:
    `isIgnorePagination()`

### isIgnorePagination

    public boolean isIgnorePagination()

  Decides whether the filling should ignore pagination.

  Returns:
    whether the filling should ignore pagination
  See Also:
    `setIgnorePagination(boolean)`, `JRParameter.IS_IGNORE_PAGINATION`

### setRunningQueryExecuter

    public void setRunningQueryExecuter(JRQueryExecuter queryExecuter)

  Sets the running query executer.

  This method is called before firing the query.

  Parameters:
    `queryExecuter` - the running query executer

### clearRunningQueryExecuter

    public void clearRunningQueryExecuter()

  Clears the running query executer.

  This method is called after the query has ended.

### cancelRunningQuery

    public boolean cancelRunningQuery()
                               throws JRException

  Cancels the running query.

  Returns:
    `true` if and only if there is a running query and it has been canceled.
  Throws:
    `JRException`

### ensureMasterPageAvailable

    public void ensureMasterPageAvailable()

  Ensures that the master page is available when virtualization is used.

### getVirtualizationContext

    public JRVirtualizationContext getVirtualizationContext()

  Returns the virtualization context.

  Returns:
    the virtualization context

### getMasterFormatFactory

    public FormatFactory getMasterFormatFactory()

### setMasterFormatFactory

    public void setMasterFormatFactory(FormatFactory masterFormatFactory)

### getMasterLocale

    public java.util.Locale getMasterLocale()

### setMasterLocale

    public void setMasterLocale(java.util.Locale masterLocale)

### getMasterTimeZone

    public java.util.TimeZone getMasterTimeZone()

### setMasterTimeZone

    public void setMasterTimeZone(java.util.TimeZone masterTimeZone)

### hasLoadedTemplate

    public boolean hasLoadedTemplate(java.lang.Object source)

  Checks whether a template given by source has already been loaded and cached.

  Parameters:
    `source` - the source of the template
  Returns:
    whether the template has been cached
  See Also:
    `getLoadedTemplate(Object)`, `registerLoadedTemplate(Object, JRTemplate)`

### getLoadedTemplate

    public JRTemplate getLoadedTemplate(java.lang.Object source)

  Gets a cached template.

  Parameters:
    `source` - the source of the templage
  Returns:
    the cached templage
  See Also:
    `registerLoadedTemplate(Object, JRTemplate)`

### registerLoadedTemplate

    public void registerLoadedTemplate(java.lang.Object source,
                                       JRTemplate template)

  Registers a template loaded from a source.

  The template is cached for further use.

  Parameters:
    `source` - the source that was used to load the template
    `template` - the loaded templage
  See Also:
    `getLoadedTemplate(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com